/* ScrutariLib_SearchEngine - Copyright (c) 2015 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.scrutari.searchengine.tools.operands.search;

import net.mapeadores.util.logicaloperation.Operand;


/**
 *
 * @author Vincent Calame
 */
class SearchOperandCheck {

    private final Operand operand;
    private final int operandMaxNumber;

    SearchOperandCheck(int operandMaxNumber, Operand operand) {
        this.operandMaxNumber = operandMaxNumber;
        this.operand = operand;
    }

    int getOperandMaxNumber() {
        return operandMaxNumber;
    }

    Operand getOperand() {
        return operand;
    }
}
